
#include "Terrain.h"
#include <cassert>


const char terrain1[12][21] = {
"...#................",
"...#................",
"....................",
"....................",
"....................",
".....#####..........",
".....#..............",
".....#..............",
".....#####..........",
"....................",
"....................",
"...................." };


void terInit(Terrain& t)
{
	int x,y;

	t.dimx = 20;
	t.dimy = 12;

	for(x=0;x<t.dimx;++x)
		for(y=0;y<t.dimy;++y)
			t.ter[x][y] = terrain1[t.dimy-1-y][x]; //'.';
}


bool terEstPositionPersoValide(const Terrain& t, const int x, const int y)
{
	return ( (x>=0) && (x<t.dimx) && (y>=0) && (y<t.dimy) && (t.ter[x][y]!='#') );
}


char terGetXY(const Terrain& ter, const int x, const int y)
{
	assert( x>=0) ;
	assert( y>=0) ;
	assert( x<ter.dimx ) ;
	assert( y<ter.dimy ) ;
	return ter.ter[x][y];
}

int getDimX(const Terrain& t)
{
	return t.dimx;
}

int getDimY(const Terrain& t)
{
	return t.dimy;
}
