#include <stdio.h>
#include <ncurses.h>

#include "Jeu.h"

void ncursAff( WINDOW* win, const Jeu& j)
{
	wclear(win);
	int x,y;

	const Terrain& ter = jeuGetConstTerrain(j);
	const Pacman& pac = jeuGetConstPacman(j);

	for(x=0;x<getDimX(ter);++x)
		for(y=0;y<getDimY(ter);++y)
			mvwprintw( win, getDimY(ter)-1-y, x, "%c", terGetXY(ter,x,y) );

	mvwprintw( win, getDimY(ter)-1-pacGetY(pac), pacGetX(pac), "*");

	wmove( win, getDimY(ter)-1-pacGetY(pac), pacGetX(pac));
}


void ncursBoucle(Jeu& jeu)
{
	WINDOW *win;
	int c;
	bool ok;

	initscr();		// passe l'cran texte en mode NCurses
	clear();		// efface l'cran
	noecho();  	//Lorsqu'une touche est prsse au clavier, elle n'apparait pasa  l'cran
	cbreak();		// un caractre est directement affich, il ne passe pas dans un buffer
		
	// Creation d'une nouvelle fenetre en mode texte 
	// => fenetre de dimension et position ( WIDTH, HEIGHT, STARTX,STARTY)
	win = newwin( getDimY(jeuGetConstTerrain(jeu)), getDimX(jeuGetConstTerrain(jeu)), 10, 5 );	
	keypad(win, TRUE);		// pour que les flches soient traites (il faut le faire aprs cration de la fentre)

	ok = true;
	do
	{	
		ncursAff( win, jeu);

		c = wgetch(win);
		switch(c)
		{	
			case KEY_LEFT:
				jeuActionClavier( jeu, 'g');
				break;
			case KEY_RIGHT:
				jeuActionClavier( jeu, 'd');
				break;
			case KEY_UP:
				jeuActionClavier( jeu, 'h');
				break;
			case KEY_DOWN:
				jeuActionClavier( jeu, 'b');
				break;
			case 27:
				ok = false;
				break;
		}
	} while(ok);
	
	endwin();
}
